Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
tag: v0.4.0
Fetching contributors…

Cannot retrieve contributors at this time

111 lines (105 sloc) 4.264 kb
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{apn_on_rails}
s.version = "0.3.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["markbates", "Rebecca Nesson"]
s.date = %q{2010-10-06}
s.description = %q{APN on Rails is a Ruby on Rails gem that allows you to
easily add Apple Push Notification (iPhone) support to your Rails application.
}
s.email = %q{tech-team@prx.org}
s.extra_rdoc_files = [
"LICENSE",
"README",
"README.textile"
]
s.files = [
".gitignore",
".rspec",
"Gemfile",
"Gemfile.lock",
"LICENSE",
"README",
"README.textile",
"Rakefile",
"VERSION",
"apn_on_rails.gemspec",
"generators/apn_migrations_generator.rb",
"generators/templates/apn_migrations/001_create_apn_devices.rb",
"generators/templates/apn_migrations/002_create_apn_notifications.rb",
"generators/templates/apn_migrations/003_alter_apn_devices.rb",
"lib/apn_on_rails.rb",
"lib/apn_on_rails/apn_on_rails.rb",
"lib/apn_on_rails/app/models/apn/base.rb",
"lib/apn_on_rails/app/models/apn/device.rb",
"lib/apn_on_rails/app/models/apn/notification.rb",
"lib/apn_on_rails/libs/connection.rb",
"lib/apn_on_rails/libs/feedback.rb",
"lib/apn_on_rails/tasks/apn.rake",
"lib/apn_on_rails/tasks/db.rake",
"lib/apn_on_rails_tasks.rb",
"spec/active_record/setup_ar.rb",
"spec/apn_on_rails/app/models/apn/device_spec.rb",
"spec/apn_on_rails/app/models/apn/notification_spec.rb",
"spec/apn_on_rails/libs/connection_spec.rb",
"spec/apn_on_rails/libs/feedback_spec.rb",
"spec/extensions/string.rb",
"spec/factories/device_factory.rb",
"spec/factories/notification_factory.rb",
"spec/fixtures/hexa.bin",
"spec/fixtures/message_for_sending.bin",
"spec/rails_root/config/apple_push_notification_development.pem",
"spec/spec_helper.rb"
]
s.homepage = %q{http://github.com/PRX/apn_on_rails}
s.require_paths = ["lib"]
s.rubygems_version = %q{1.3.7}
s.summary = %q{Apple Push Notifications on Rails}
s.test_files = [
"spec/active_record/setup_ar.rb",
"spec/apn_on_rails/app/models/apn/device_spec.rb",
"spec/apn_on_rails/app/models/apn/notification_spec.rb",
"spec/apn_on_rails/libs/connection_spec.rb",
"spec/apn_on_rails/libs/feedback_spec.rb",
"spec/extensions/string.rb",
"spec/factories/device_factory.rb",
"spec/factories/notification_factory.rb",
"spec/spec_helper.rb"
]
if s.respond_to? :specification_version then
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<configatron>, [">= 0"])
s.add_development_dependency(%q<sqlite3-ruby>, [">= 0"])
s.add_development_dependency(%q<rspec>, [">= 2.0.0.beta.19"])
s.add_development_dependency(%q<bundler>, [">= 1.0.0.rc.5"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.0.pre2"])
s.add_development_dependency(%q<rcov>, [">= 0"])
s.add_development_dependency(%q<actionpack>, ["~> 2.3.8"])
s.add_development_dependency(%q<activerecord>, ["~> 2.3.8"])
else
s.add_dependency(%q<configatron>, [">= 0"])
s.add_dependency(%q<sqlite3-ruby>, [">= 0"])
s.add_dependency(%q<rspec>, [">= 2.0.0.beta.19"])
s.add_dependency(%q<bundler>, [">= 1.0.0.rc.5"])
s.add_dependency(%q<jeweler>, ["~> 1.5.0.pre2"])
s.add_dependency(%q<rcov>, [">= 0"])
s.add_dependency(%q<actionpack>, ["~> 2.3.8"])
s.add_dependency(%q<activerecord>, ["~> 2.3.8"])
end
else
s.add_dependency(%q<configatron>, [">= 0"])
s.add_dependency(%q<sqlite3-ruby>, [">= 0"])
s.add_dependency(%q<rspec>, [">= 2.0.0.beta.19"])
s.add_dependency(%q<bundler>, [">= 1.0.0.rc.5"])
s.add_dependency(%q<jeweler>, ["~> 1.5.0.pre2"])
s.add_dependency(%q<rcov>, [">= 0"])
s.add_dependency(%q<actionpack>, ["~> 2.3.8"])
s.add_dependency(%q<activerecord>, ["~> 2.3.8"])
end
end
Jump to Line
Something went wrong with that request. Please try again.